View Issue Details

IDProjectCategoryView StatusLast Update
00301812.x IDE BugsResource TreePublic2018-11-16 16:08
ReporterMark AlexanderAssigned ToSteven Campbell 
PriorityVery HighSeverityB - MajorReproducibility<25%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030181: Resource Tree: Creating Folders sometimes locks the cursor in "reorder" mode
DescriptionSometimes, after creating a new resource, duplicating a resource, or creating a new group, the resource tree seems to get "stuck" in "move" mode, with the IDE cursor showing the move icons, and the resource tree highlighting different things as you mouse over them. However, there is NO way to exit this mode, and the IDE will accept no further input. I have tried clicking in various areas, I have tried pressing escape, and just about any other key I can think of, but nothing works and I have to force close the IDE.
TagsIDE
2.x IDE Found In2.2.1.366 (Beta)
2.x Runtime Found In
2.x IDE Verified In
2.x Runtime Verified In

Activities

Mark Alexander

2018-11-11 13:11

Developer  

IDEBug_StuckCursor.gif (180,356 bytes)
IDEBug_StuckCursor.gif (180,356 bytes)
ui.log (493,066 bytes)

Mark Alexander

2018-11-11 19:36

Developer  

ui-2.log (64,364 bytes)

Mark Alexander

2018-11-11 19:36

Developer   ~0062000

And again... :(

Dan

2018-11-12 09:16

Adminstrator   ~0062001

Multiple complaints of this in the release thread also: https://forum.yoyogames.com/index.php?threads/gms2-version-2-2-1-beta-release.55062/#post-335334

Dan

2018-11-12 11:16

Adminstrator   ~0062007

Right-click and "Rename" a resource has also been reported to cause this.

Steven Campbell

2018-11-15 14:30

Manager   ~0062058

Fixed in Red IDE/GitHub Pull Request 4353
Git Ids: 87bdbaf9e78d1018a474b794c14665d39134d8b7 ( initial fix, but broke 0029390 )
0e6868dfcb93913758a8e84d9d91b804e3907be4 ( better fix, that works with both )

Dan

2018-11-16 11:20

Adminstrator   ~0062072

Fix is in 2.2.1.367+

Dan

2018-11-16 16:08

Adminstrator   ~0062091

All good in IDE v2.2.1.367 Runtime v2.2.1.278. Closing.